import { ethers } from 'ethers';
import { TypedDataSigner } from '@ethersproject/abstract-signer';
export declare class BlobClient {
    private _provider;
    private _signer;
    constructor(provider: (ethers.Signer & TypedDataSigner) | ethers.providers.JsonRpcProvider);
    sanityCheck(tx: any): Promise<{
        chainId: any;
        nonce: any;
        to: any;
        value: any;
        data: any;
        maxPriorityFeePerGas: any;
        maxFeePerGas: any;
        gasLimit: any;
        maxFeePerBlobGas: any;
    }>;
    sendTx(blobs: any, tx: any): Promise<any>;
    isTransactionMined(transactionHash: any): Promise<ethers.providers.TransactionReceipt>;
    getTxReceipt(transactionHash: any): Promise<any>;
    downloadBlobs(txHash: any): Promise<{
        blob_hashes: any;
        sidecar: any;
    }>;
    getBlobHash(blob: any): string;
}
